#include "testApp.h"



//--------------------------------------------------------------
void testApp::setup(){	 
	
	ofBackground(255,255,255);
	
	colorImg.loadImage("images/rgbImage.png");
	alphaImg.loadImage("images/alpha.png");
	alphaImg.setImageType(OF_IMAGE_GRAYSCALE);
	
	int w = colorImg.width;
	int h = colorImg.height;
	
	unsigned char * pixels = new unsigned char[w*h*4];
	unsigned char * colorPixels = colorImg.getPixels();
	unsigned char * alphaPixels = alphaImg.getPixels();
	
	for (int i = 0; i < w; i++){
		for (int j = 0; j < h; j++){
			int pos = (j * w + i);
			pixels[pos*4  ] = colorPixels[pos * 3];
			pixels[pos*4+1] = colorPixels[pos * 3+1];
			pixels[pos*4+2] = colorPixels[pos * 3+2];
			pixels[pos*4+3] = alphaPixels[pos];
		}
	}
	
	rgbaMixture.allocate(w,h,GL_RGBA);
	rgbaMixture.loadData(pixels, w,h,GL_RGBA);
	
	delete [] pixels;
}


//--------------------------------------------------------------
void testApp::update(){
	
}


//--------------------------------------------------------------
void testApp::draw(){
	ofSetColor(0xff0000);
	for (int i = 0; i < 100; i++){
		ofLine(ofRandom(0,200), ofRandom(0,200), ofRandom(0,200), ofRandom(0,200));
	}
	
	
	ofSetColor(0xffffff);
	
	ofEnableAlphaBlending();
	rgbaMixture.draw(0,0);
	ofDisableAlphaBlending();
}


//--------------------------------------------------------------
void testApp::keyPressed  (int key){ 
	
}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){
	
}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){
	
}

//--------------------------------------------------------------
void testApp::mouseReleased(){

}
